Package org.apache.sysds.runtime.ooc.cache.packed

# Class PackedBlock

java.lang.Object
org.apache.sysds.runtime.ooc.cache.packed.PackedBlock

All Implemented Interfaces:
  `SpillableObject`

public final class PackedBlock extends Object implements SpillableObject

## Constructor Summary

Constructors
Constructor
Description
`PackedBlock()`

## Method Summary

Modifier and Type
Method
Description
`void`
`read(DataInput in)`
`boolean`
`tryWrite(DataOutput out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.ooc.cache.io.SpillableObject

`discard`

## Constructor Details

### PackedBlock

public PackedBlock()

## Method Details

### tryWrite

public boolean tryWrite(DataOutput out) throws IOException

Specified by:
  `tryWrite` in interface `SpillableObject`
Throws:
  `IOException`

### read

public void read(DataInput in) throws IOException

Specified by:
  `read` in interface `SpillableObject`
Throws:
  `IOException`